      program momread
c
c  This program extracts data from moments files that were created
c  using Dan G's pc pda extraction program.  This version writes
c  out a file of moment times that will be used to interplate the
c  ship motion data files. 
c
      implicit real*4 (a-h,o-z)
      character jday*3,st*3,yr*2
c
c  read input information
c
      open(unit=1,file='mom.inp')
      read(1,2) st,yr 
2     format(a3,1x,a2)
      read(1,*) ibeg 
      close(unit=1)
c
      write(jday(1:3),7) ibeg
7     format(i3.3)
      open(unit=1,err=998,file=st//yr//jday//'.raw')
      open(unit=2,file='times'//jday//'.dat')
c
c  read the *.raw file and output moment times
c
      read(1,*)
      do 199 l = 1,9000
        read(1,*,end=200) ibm,i1,i2,iyr,idy,ih,im,is
        read(1,*,end=200) ipp,m0,m1,m2,m3,m4,m5,m6
        write(2,10) ibm,iyr,idy,ih,im,is
10      format(i1,1x,i2.2,1x,i3.3,3(1x,i2.2))
        do 97 n = 1,m3
          read(1,*,end=200) rad,snr,pow,wid,pnois
97      continue
199   continue
200   continue
c
      close(unit=1)
      close(unit=2)
998   continue
      stop
      end